#1281 closed defect (wontfix)

GCC Internal compiler error using Mingw Tools for Rtems 4.8

Reported by: paulw2 Owned by: Ralf Corsepius
Priority: normal Milestone: 4.9
Component: tool/gcc Version: 4.8
Severity: normal Keywords:
Cc: chrisj@… Blocked By:
Blocking:

Description (last modified by Gedare Bloom)

I get an internal compiler error while trying to compile RTEMS 4.8.0 using the mingw tools 4.8-17.

The file that does not compile is net-snmp/src/agent/mingroup/target/target.c

I have attached target.i produced using the gcc -save-temps option that triggers
the bug.

I have cut the file target.c down to the minium that seems to trigger the bug.

The command line to trigger the bug is

m68k-rtems4.8-gcc -m5200 -O target.i

(Also occurs with -O2 and -O3).

The error output is

m68k-rtems4.8-gcc -m5200 -O target.i
../../../../iprcf/voiplib/net-snmp/src/agent/mibgroup/target/target.c: In functi
on 'get_target_sessions':
../../../../iprcf/voiplib/net-snmp/src/agent/mibgroup/target/target.c:156: error
: insn does not satisfy its constraints:
(insn 328 326 329 34 (set (mem/s/j:SI (plus:SI (reg:SI 9 %a1 [orig:52 D.10273 ]
[52])

(const_int 20 [0x14])) [0 <variable>.next+0 S4 A16])

(mem/c:SI (plus:SI (reg/f:SI 14 %a6)

(reg:SI 8 %a0)) [0 ret+0 S4 A16])) 34 {*movsi_cf} (nil)

(nil))

../../../../iprcf/voiplib/net-snmp/src/agent/mibgroup/target/target.c:156: inter
nal compiler error: in reload_cse_simplify_operands, at postreload.c:392
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.

Output of m68k-rtems4.8-gcc -v

m68k-rtems4.8-gcc -v
Using built-in specs.
Target: m68k-rtems4.8
Configured with: ../gcc-4.2.2/configure --prefix=/home2/work/chris/rtems/4.8/bui
ld/rpms --bindir=/home2/work/chris/rtems/4.8/build/rpms/bin --exec_prefix=/home2
/work/chris/rtems/4.8/build/rpms --includedir=/home2/work/chris/rtems/4.8/build/
rpms/include --libdir=/home2/work/chris/rtems/4.8/build/rpms/lib --libexecdir=/h
ome2/work/chris/rtems/4.8/build/rpms/libexec --mandir=/home2/work/chris/rtems/4.
8/build/rpms/man --infodir=/home2/work/chris/rtems/4.8/build/rpms/info --datadir
=/home2/work/chris/rtems/4.8/build/rpms/share --build=athlon-redhat-linux --host
=i686-pc-mingw32 --target=m68k-rtems4.8 --disable-libstdcxx-pch --with-gnu-as --
with-gnu-ld --verbose --with-newlib --with-system-zlib --disable-nls --without-i
ncluded-gettext --disable-win32-registry --enable-version-specific-runtime-libs
--enable-threads --enable-languages=c,c++
Thread model: rtems
gcc version 4.2.2 (RTEMS gcc-4.2.2/newlib-1.15.0-28.fc7)

Attachments (1)

target.i (361.1 KB) - added by paulw2 on Mar 26, 2008 at 11:36:49 PM.
Output from gcc -save-temps that triggers the bug

Download all attachments as: .zip

Change History (4)

Changed on Mar 26, 2008 at 11:36:49 PM by paulw2

Attachment: target.i added

Output from gcc -save-temps that triggers the bug

comment:1 Changed on Aug 6, 2008 at 3:44:24 AM by Chris Johns

Resolution: wontfix
Status: newclosed

Use the rtems4.9 tools.

comment:2 Changed on Nov 22, 2014 at 8:04:51 PM by Gedare Bloom

Description: modified (diff)
Milestone: 24.9
Version: unknown4.8

comment:3 Changed on Oct 10, 2017 at 5:58:26 AM by Sebastian Huber

Component: GCCtool/gcc
Note: See TracTickets for help on using tickets.